wxpython-phoenix with python 3.5.1

classic Classic list List threaded Threaded
6 messages Options
Reply | Threaded
Open this post in threaded view
|

wxpython-phoenix with python 3.5.1

philippe DALET
I have succeeded to compile wxpython-phoenix on windows seven 64 bits with Visual Studio 2015 Community. 
The compilation is not easy because waf-python doesn't recognize Visual Studio 2015.

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: wxpython-phoenix with python 3.5.1

Jacob Kruger
On 2016-01-24 8:15 PM, philippe DALET wrote:
I have succeeded to compile wxpython-phoenix on windows seven 64 bits with Visual Studio 2015 Community. 
The compilation is not easy because waf-python doesn't recognize Visual Studio 2015.

---end message---
Ok, downloaded the .zip file, that that link offers, but, two questions - should I unzip it first, and then what command should I use to try installing it, and, should this work with an installation of the 64 bit version of python 3.5.1, or also the 32 bit version of python 3.5.1, on a windows 64 bit system?

TIA

Jacob Kruger
Blind Biker
Skype: BlindZA
"Roger Wilco wants to welcome you...to the space janitor's closet..."

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: wxpython-phoenix with python 3.5.1

Vlastimil Brom
2016-01-24 20:40 GMT+01:00 jacob Kruger <[hidden email]>:

> On 2016-01-24 8:15 PM, philippe DALET wrote:
>
> I have succeeded to compile wxpython-phoenix on windows seven 64 bits with
> Visual Studio 2015 Community.
> The compilation is not easy because waf-python doesn't recognize Visual
> Studio 2015.
>
> Try this wheel file.
> wxPython_Phoenix-3.0.3.dev1839+4ecd949-cp35-none-win_amd64.whl
> wxPython-phoenix 3.0 Docs and Demos.tar.gz
>
> ph D.
>
> ---end message---
> Ok, downloaded the .zip file, that that link offers, but, two questions -
> should I unzip it first, and then what command should I use to try
> installing it, and, should this work with an installation of the 64 bit
> version of python 3.5.1, or also the 32 bit version of python 3.5.1, on a
> windows 64 bit system?
>
> TIA
>
> Jacob Kruger
> Blind Biker
> Skype: BlindZA
> "Roger Wilco wants to welcome you...to the space janitor's closet..."
>

Hi,
I can't test it just now, but it looks like, that the first link:

http://sourceforge.net/projects/pcpu/files/Python 3.4 3.5 windows
amd64/wxPython_Phoenix-3.0.3.dev1839%2B4ecd949-cp35-none-win_amd64.whl/download

is a wheel file, which should be installable with pip

...\Python33\Scripts\pip3.5.exe install my_wheel_file.whl

(with the correct paths).
Given the file name, I'd expect it to work only on 64bit python
version, but of course only the author of the compiled can give a
competent answer.

regards,
   vbr

--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: wxpython-phoenix with python 3.5.1

Jacob Kruger
On 2016-01-25 11:10 AM, Vlastimil Brom wrote:
> Hi, I can't test it just now, but it looks like, that the first link:
> http://sourceforge.net/projects/pcpu/files/Python 3.4 3.5 windows
> amd64/wxPython_Phoenix-3.0.3.dev1839%2B4ecd949-cp35-none-win_amd64.whl/download
> is a wheel file, which should be installable with pip
> ...\Python33\Scripts\pip3.5.exe install my_wheel_file.whl (with the
> correct paths). Given the file name, I'd expect it to work only on
> 64bit python version, but of course only the author of the compiled
> can give a competent answer. regards, vbr
---end message---

Am guessing that this still relates to 32-bit vs. 64-bit, and the
sourceforge download link downloads it as a .zip file, but, if I rename
it to .whl, then either trying pip or pip 3 install, and the full file
name returns the following:

wxPython_Phoenix-3.0.3.dev1839+4ecd949-cp35-none-win_amd64.whl is not a
supported wheel on this platform.

Will try out uninstalling python 3.5.1 32-bit version just now, and try
installing 64-bit version, and see how it then reacts.

Jacob Kruger
Blind Biker
Skype: BlindZA
"Roger Wilco wants to welcome you...to the space janitor's closet..."


--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: wxpython-phoenix with python 3.5.1

Jacob Kruger
On 2016-01-25 11:34 AM, jacob Kruger wrote:

> Am guessing that this still relates to 32-bit vs. 64-bit, and the
> sourceforge download link downloads it as a .zip file, but, if I
> rename it to .whl, then either trying pip or pip 3 install, and the
> full file name returns the following:
>
> wxPython_Phoenix-3.0.3.dev1839+4ecd949-cp35-none-win_amd64.whl is not
> a supported wheel on this platform.
>
> Will try out uninstalling python 3.5.1 32-bit version just now, and
> try installing 64-bit version, and see how it then reacts.
---end message---
Ok, installed 64-bit version of python 3.5.1, and while pip3 install
then managed to install the wx module, if I then try to import it from
in the console, I get the following:
 >>> import wx
Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
   File "C:\python35\lib\site-packages\wx\__init__.py", line 17, in <module>
     from wx.core import *
   File "C:\python35\lib\site-packages\wx\core.py", line 6, in <module>
     from ._core import *
ImportError: DLL load failed: The specified module could not be found.
 >>>

So, not sure if there are other missing modules, etc., but, for example,
at least one other module I wanted to install seems incompatible with
64-bit version, so let's see...

Jacob Kruger
Blind Biker
Skype: BlindZA
"Roger Wilco wants to welcome you...to the space janitor's closet..."


--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: wxpython-phoenix with python 3.5.1

Jacob Kruger
On 2016-01-25 11:55 AM, jacob Kruger wrote:

So, not sure if there are other missing modules, etc., but, for example,
at least one other module I wanted to install seems incompatible with
64-bit version,
so let's see...

Jacob Kruger

---end message---
Ok, second thought was that MS's own dev framework was missing on
machine, and when now installed VS.Net 2015 community edition, I can
now, in python console, import wx, with no issues showing up as such, so
seems like it will now work/cooperate with python 3.5.1 64-bit version
on this machine.

Thanks

Jacob Kruger
Blind Biker
Skype: BlindZA
"Roger Wilco wants to welcome you...to the space janitor's closet..."


--
You received this message because you are subscribed to the Google Groups "wxPython-users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
For more options, visit https://groups.google.com/d/optout.